# znpRfTestInterface.c File Reference

RF Test Interface for ZNP. More...

`#include "znpRfTestInterface.h"`
`#include "znp_commands.h"`
`#include "../HAL/hal.h"`
`#include "znp_interface_spi.h"`

## Defines
#define | ZNP_SPI 1
## Functions
signed int | rfTest (unsigned char mode, unsigned char channel)

## Detailed Description

RF Test Interface for ZNP.

Use this when doing RF testing with the ZNP.

See also:
  http://processors.wiki.ti.com/index.php/Tutorial_on_the_Examples and http://e2e.ti.com/support/low_power_rf/default.aspx

Rev
  586

Author
  dsmith

Date
  2010-06-11 10:17:22 -0700 (Fri, 11 Jun 2010)

YOU ACKNOWLEDGE AND AGREE THAT THE SOFTWARE AND DOCUMENTATION ARE PROVIDED “AS IS” WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY, TITLE, NON-INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT SHALL TEXAS INSTRUMENTS OR ITS LICENSORS BE LIABLE OR OBLIGATED UNDER CONTRACT, NEGLIGENCE, STRICT LIABILITY, CONTRIBUTION, BREACH OF WARRANTY, OR OTHER LEGAL EQUITABLE THEORY ANY DIRECT OR INDIRECT DAMAGES OR EXPENSES INCLUDING BUT NOT LIMITED TO ANY INCIDENTAL, SPECIAL, INDIRECT, PUNITIVE OR CONSEQUENTIAL DAMAGES, LOST PROFITS OR LOST DATA, COST OF PROCUREMENT OF SUBSTITUTE GOODS, TECHNOLOGY, SERVICES, OR ANY CLAIMS BY THIRD PARTIES (INCLUDING BUT NOT LIMITED TO ANY DEFENSE THEREOF), OR OTHER SIMILAR COSTS.

## Function Documentation

signed int rfTest | ( | unsigned char | mode,
|  | unsigned char | channel |
| ) |  |  |

Configures the ZNP to output a test signal, modulated or unmodulated. The radio must be re-initialized after this method is used.

Note:
  this command does NOT respond with an SRSP.

Parameters:

  | mode | whether to output modulated or unmodulated signal. Must be RF_TEST_MODULATED or RF_TEST_UNMODULATED or RF_TEST_RECEIVE. Note: RF_TEST_RECEIVE does nothing.
  | channel | which 802.15.4 channel to output test signal on. Must be between 11 - 26.

Precondition:
  ZNP was initialized

Postcondition:
  ZNP is outputting the specified type of RF test signal on the specified channel

Returns:
  0 if success, -1 if invalid channel, -2 if invalid test mode, else error code from sendMessage()

All Data Structures Files Functions Variables Defines